Webhooks

Signed terminal job delivery.

GET/v1/webhook_endpoints

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/webhook_endpoints"
{  "data": [    {      "created_at": 0,      "id": "string",      "object": "webhook_endpoint",      "secret": "string",      "status": "string",      "url": "http://example.com"    }  ],  "object": "list"}
POST/v1/webhook_endpoints

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Header Parameters

Idempotency-Key*string

A unique key used to safely retry a non-streaming POST request.

Lengthlength <= 255

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/webhook_endpoints" \  -H "Idempotency-Key: string" \  -H "Content-Type: application/json" \  -d '{    "url": "http://example.com"  }'
{  "created_at": 0,  "id": "string",  "object": "webhook_endpoint",  "secret": "string",  "status": "string",  "url": "http://example.com"}
DELETE/v1/webhook_endpoints/{endpointId}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

endpointId*string
Match^whk_[a-z0-9]{20}$

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/webhook_endpoints/string"
{  "deleted": true}